from store import Store
from command_line import  CommandLine
import argparse

class Commander(CommandLine):
  def __init__(self, store_dir):
    self.store_dir = store_dir
    self.store = Store(store_dir)
    super().__init__()
    
  def do_foo(self):
    self.store.foo()
    self.store.flush()

def main(args):
  c = Commander(args.store_dir)
  c.run()

if __name__ == '__main__':
  parser = argparse.ArgumentParser()
  parser.add_argument('-s', '--store-dir', default='data')
  args = parser.parse_args()
  main(args)
